Skip to content
Start here

Rotate OAuth Client Secret

iam.oauth_clients.rotate_secret(stroauth_client_id, OAuthClientRotateSecretParams**kwargs) -> OAuthClientRotateSecretResponse
POST/accounts/{account_id}/oauth_clients/{oauth_client_id}/rotate_secret

Creates a second client secret so you can update your client configuration before deleting the old one. The has_rotated_secret field on the client will be set to true.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
OAuth Client Write
ParametersExpand Collapse
account_id: str

Account identifier tag.

maxLength32
minLength32
oauth_client_id: str

The unique identifier for an OAuth client.

ReturnsExpand Collapse
class OAuthClientRotateSecretResponse:
client_secret: Optional[str]

The new client secret.

Rotate OAuth Client Secret

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.iam.oauth_clients.rotate_secret(
    oauth_client_id="a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.client_secret)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "client_secret": "cf-oauth-secret-new-example"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "client_secret": "cf-oauth-secret-new-example"
  }
}